﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>
          <xsl:value-of select="pjm6BudgetGet/Budget/FileAs"/>
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes"/>
      </HEAD>
      <BODY>
        <xsl:value-of select="adf:GetHeader(pjm6BudgetGet/Budget)" disable-output-escaping="yes"/>
        <xsl:apply-templates select="//Budget"/>
        <xsl:value-of select="adf:GetFooter(pjm6BudgetGet/Budget)"  disable-output-escaping="yes"/>
      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="Budget">
    <table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
      <xsl:choose>
        <xsl:when test="BudgetTypeID">
          <tr>
            <td>
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Тип бюджета:
                  </xsl:when>
                  <xsl:otherwise>
                    Budget Type:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(BudgetTypeID, 'BudgetType', 'Name')"/>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise> </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="BudgetTypeID">
          <xsl:choose>
            <xsl:when test="BudgetTypeID > 1">
              <xsl:choose>
                <xsl:when test="Period">
                  <tr>
                    <td>
                      <br />
                      <strong>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Период:
                          </xsl:when>
                          <xsl:otherwise>
                            Period:
                          </xsl:otherwise>
                        </xsl:choose>
                      </strong>
                      <xsl:value-of select="Period"/>                
                    </td>
                  </tr>
                </xsl:when>
              </xsl:choose>
            </xsl:when>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise> </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="CurrencyCode">
          <tr>
            <td>
              <br/>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Валюта:
                  </xsl:when>
                  <xsl:otherwise>
                    Currency:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="CurrencyCode"/>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>	 </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="UseWorkPlanning = 'true'">
          <tr>
            <td>
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Работы:
                  </xsl:when>
                  <xsl:otherwise>
                    Works:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <br />

              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Планируемые:
                </xsl:when>
                <xsl:otherwise>
                  Planned:
                </xsl:otherwise>
              </xsl:choose>
              <xsl:variable name="bwp" select="TotalWDPlannedManHour"/>
              <xsl:value-of select="format-number($bwp,'0.##')"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="CurrencyCode"/>
              <br />
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Фактические:
                </xsl:when>
                <xsl:otherwise>
                  Real:
                </xsl:otherwise>
              </xsl:choose>
              <xsl:variable name="bwa" select="TotalWDActualManHour"/>
              <xsl:value-of select="format-number($bwa,'0.##')"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="CurrencyCode"/>
              <br />
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>	 </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="UseExpensePlanning = 'true'">
          <tr>
            <td>
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Затраты:
                  </xsl:when>
                  <xsl:otherwise>
                    Expenses:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <br />

              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Планируемые:
                </xsl:when>
                <xsl:otherwise>
                  Planned:
                </xsl:otherwise>
              </xsl:choose>
              <xsl:variable name="bwp" select="TotalWDPlannedExpense"/>
              <xsl:value-of select="format-number($bwp,'0.##')"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="CurrencyCode"/>
              <br />
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Фактические:
                </xsl:when>
                <xsl:otherwise>
                  Real:
                </xsl:otherwise>
              </xsl:choose>
              <xsl:variable name="bwa" select="TotalWDActualExpense"/>
              <xsl:value-of select="format-number($bwa,'0.##')"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="CurrencyCode"/>
              <br />
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>	 </xsl:otherwise>
      </xsl:choose>
      
      <xsl:choose>
        <xsl:when test="SupervisorEmployeeID">
          <tr>
            <td>
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Контролер:
                  </xsl:when>
                  <xsl:otherwise>
                    Supervisor:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(SupervisorEmployeeID, 'Employee', 'Name')"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
    </table>
  </xsl:template>
</xsl:stylesheet>
