﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>
          <xsl:value-of select="pjm6BudgetTemplateGet/Budget/FileAs"/>
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes"/>
      </HEAD>
      <BODY>
        <xsl:value-of select="adf:GetHeader(pjm6BudgetTemplateGet/BudgetTemplate)" disable-output-escaping="yes"/>
        <xsl:apply-templates select="//BudgetTemplate"/>
        <xsl:value-of select="adf:GetFooter(pjm6BudgetTemplateGet/BudgetTemplate)"  disable-output-escaping="yes"/>
      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="BudgetTemplate">
    <table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="BudgetTypeID">
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Тип бюджета:
                  </xsl:when>
                  <xsl:otherwise>
                    Budget Type:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(BudgetTypeID, 'BudgetType', 'Name')"/>
            </xsl:when>
            <xsl:otherwise> </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="BudgetTypeID">
              <xsl:choose>
                <xsl:when test="BudgetTypeID > 1">
                  <xsl:choose>
                    <xsl:when test="Period">
                      <br />
                      <strong>
                        <xsl:choose>
                          <xsl:when test="$lang = 'ru'">
                            Период:
                          </xsl:when>
                          <xsl:otherwise>
                            Period:
                          </xsl:otherwise>
                        </xsl:choose>
                      </strong>
                      <xsl:value-of select="Period"/>
                    </xsl:when>
                  </xsl:choose>
                </xsl:when>
              </xsl:choose>
            </xsl:when>
            <xsl:otherwise> </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="CurrencyCode">
              <br/>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Валюта:
                  </xsl:when>
                  <xsl:otherwise>
                    Currency:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="CurrencyCode"/>
            </xsl:when>
            <xsl:otherwise>	 </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <xsl:choose>
        <xsl:when test="SupervisorEmployeeID">
          <tr>
            <td>
              <br />
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Контролер:
                  </xsl:when>
                  <xsl:otherwise>
                    Supervisor:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:value-of select="adf:GetListMember(SupervisorEmployeeID, 'Employee', 'Name')"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
    </table>
  </xsl:template>
</xsl:stylesheet>
