﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:pjm="urn:projectmate-ru:pjm-payment">
  <xsl:output method="xml" indent="yes"/>
  <xsl:template match="/">
    <ImportPayments>
      <Payments>
        <xsl:for-each select="Payments/Payment">
          <Payment>
            <Number>
              <xsl:value-of select ="Number"/>
            </Number>
            <Date>
              <xsl:value-of select = "Date"/>
            </Date>
            <Type>
              <xsl:value-of select = "Type"/>
            </Type>
            <PayeeCompany>
              <BankCode>
                <xsl:value-of select="PayeeBankAccount/BankCode"/>
              </BankCode>
              <AccountCode>
                <xsl:value-of select="PayeeBankAccount/CAccount"/>
              </AccountCode>
              <LegalCode>
                <xsl:value-of select ="PayeeCompanyLegalCode"/>
              </LegalCode>
            </PayeeCompany>
            <PayerCompany>
              <FileAs>
                <xsl:value-of select ="Payer"/>
              </FileAs>
              <LegalCode>
                <xsl:value-of select ="PayerCompanyLegalCode"/>
              </LegalCode>
            </PayerCompany>
            <Total>
              <xsl:value-of select="Value"/>
            </Total>
            <VAT>
              <xsl:value-of select="VAT"/>
            </VAT>
            <Currency>
              <xsl:value-of select="Currency"/>
            </Currency>
            <Reason>
              <xsl:value-of select="Reason"/>
            </Reason>
          </Payment>
        </xsl:for-each>
      </Payments>
    </ImportPayments>
  </xsl:template>
</xsl:stylesheet>
