<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
	<xsl:template match="/">
		<HTML>
			<HEAD>
				<TITLE>
					<xsl:value-of select="pjm5ProjectTemplateGet/ProjectTemplate/FileAs" />
				</TITLE>
				<xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />
			</HEAD>
			<BODY >
				<xsl:value-of select="adf:GetHeader(pjm5ProjectTemplateGet/ProjectTemplate)"  disable-output-escaping="yes"/>
				<xsl:apply-templates select="//ProjectTemplate"/>
				
				<xsl:value-of select="adf:GetFooter(pjm5ProjectTemplateGet/ProjectTemplate)"  disable-output-escaping="yes"/>

			</BODY>
		</HTML>
	</xsl:template>

	<xsl:template match="ProjectTemplate">
		<table style="font-family:Verdana;font-size:8pt" cellspacing="0" cellpadding="0" border="0">

			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="CostCenterID">
							<br/>
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Центр затрат:
                  </xsl:when>
                  <xsl:otherwise>
                    Cost Center:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(CostCenterID, 'CostCenter', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>	</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="ProjectTypeID">
							<br/>
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Тип проекта:
                  </xsl:when>
                  <xsl:otherwise>
                    Project Type:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(ProjectTypeID, 'ProjectType', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="SupplierCompanyID">
							<br/>
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Исполнитель:
                  </xsl:when>
                  <xsl:otherwise>
                    Assignment:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(SupplierCompanyID, 'Company', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>	</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="Date">
							<br/>
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Начало:
                  </xsl:when>
                  <xsl:otherwise>
                    Start Date:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:FormatXmlDate(Date,'d')"/>
						</xsl:when>
						<xsl:otherwise> </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="PlanEndDate">
							<br/>
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Окончание:
                  </xsl:when>
                  <xsl:otherwise>
                    End Date:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:FormatXmlDate(PlanEndDate,'d')"/>
						</xsl:when>
						<xsl:otherwise>	</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="Duration">
							<br/>
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Длительность:
                  </xsl:when>
                  <xsl:otherwise>
                    Duration:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="Duration"/>
						</xsl:when>
						<xsl:otherwise>	 </xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:choose>
						<xsl:when test="PriorityID">
							<br/>
							<strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Приоритет:
                  </xsl:when>
                  <xsl:otherwise>
                    Priority:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
							<xsl:value-of select="adf:GetListMember(PriorityID, 'Priority', 'Name')"/>
						</xsl:when>
						<xsl:otherwise>	</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
			<td>
				<xsl:choose>
					<xsl:when test="CurrencyCode">
						<br/>
						<strong>
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  Валюта:
                </xsl:when>
                <xsl:otherwise>
                  Currency
                </xsl:otherwise>
              </xsl:choose>
            </strong>
						<xsl:value-of select="CurrencyCode"/>
					</xsl:when>
					<xsl:otherwise> </xsl:otherwise>
				</xsl:choose>
			</td>
			</tr>


	
		</table>
	</xsl:template>
</xsl:stylesheet>